Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Juri Linkov <[email-masked]>
Date: Sat, 08 Oct 2022 22:34:16 +0300

>> We could base the name of the existing commands.  There is the command
>> 'submit-emacs-patch', so the corresponding VC command could be
>> 'vc-submit-patch'.  Also like the existing command 'git-send-email'
>> the name could be 'vc-send-patch'.
>
> So should I rename the command?  I'm not committed to any name.

The current name is fine.

>> Also please note that the most convenient way to select revisions
>> to submit is to show the log buffer, and use 'm' to mark revisions
>> (log-view-toggle-mark-entry).  Then 'log-view-get-marked' returns
>> all marked revisions.
>
> This is supported,

Thanks.  Since it's the most convenient UI, shouldn't this be
documented in the Info?  IOW, what about copying this from the docstring
to the manual:

  When invoked interactively in a Log View buffer with marked
  revisions, these revisions will be used.

Also the use of "," to separate revisions needs to be documented
in the docstrings and the manual.  Maybe also mention the separator
in the prompt that reads multiple revisions.

> but currently not in this order.  Do you think an option should be
> added that would use recursive editing to prompt the user?

I see that currently the chronological order of revisions is used from the log.
This looks like the right order.  Prompting with the default value that is set
to these revisions from the log would be also nice to do, so users
will be able to change the order manually by moving revisions between ",".

Additional question: shouldn't the behavior of vc-prepare-patches-separately=nil
be equivalent to vc-prepare-patches-separately=t when only one revision is given?
Both cases create just one mail.  So when vc-prepare-patches-separately is nil,
could it extract the subject from the single revision?  Or maybe
vc-prepare-patches-separately should support a new customization value for this?